gnutls_rsa_params_export_pkcs1(3)

NAME
gnutls_rsa_params_export_pkcs1 - export RSA params to a pkcs1 structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_params_export_pkcs1(gnutls_rsa_params_t params, gnutls_x509_crt_fmt_t format, unsigned char * params_data, size_t * params_data_size);

ARGUMENTS

gnutls_rsa_params_t params
    Holds the RSA parameters

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

unsigned char * params_data
    will contain a PKCS1 RSAPublicKey structure PEM or DER encoded

size_t * params_data_size
    holds the size of params_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the given RSA parameters to a PKCS1 RSAPublicKey structure. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN RSA PRIVATE KEY". In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.